commit:     836ebf5ff5c62ee155f36299784b613fa46ee454
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 10 04:51:45 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 10 05:05:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=836ebf5f

dev-python/h5py: Bump to 3.10.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/h5py/Manifest           |  1 +
 dev-python/h5py/h5py-3.10.0.ebuild | 70 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/h5py/Manifest b/dev-python/h5py/Manifest
index 438d98fcb61c..bf1fb5fb0e74 100644
--- a/dev-python/h5py/Manifest
+++ b/dev-python/h5py/Manifest
@@ -1 +1,2 @@
+DIST h5py-3.10.0.tar.gz 403716 BLAKE2B 
a8e4351a15aee5fe9d23f9c5f9b6ff44e688a391ba17e27338675bde60415c73e3cd97a4a0c05490df849f649d626450d3dbecc9ae6ea3d24d784a0a4aaa1850
 SHA512 
840d7f2b9b9d5e22e8edae21c84884abec64acdd6c36437a4921ce9dc1b343c55f66f72b699146d71fe55688f6f948787b62335a24906288e9565b2b19b24b01
 DIST h5py-3.9.0.tar.gz 402856 BLAKE2B 
e2c617c492c2fba751fa546292232b78e1cec4bc75fb50a7c59cdb4a34bc927134d4604d3d9b24f880235cfb356636e66907b8026107547905a77ed9732ccc26
 SHA512 
f87cb36ba874e86b179776031c3345ad83bc7b5eff2f3ee54acb6b0997cc7925c17dc478957103ab6bb07d8aaa8593af1d51c3547021a205e9d01c0e36d833a9

diff --git a/dev-python/h5py/h5py-3.10.0.ebuild 
b/dev-python/h5py/h5py-3.10.0.ebuild
new file mode 100644
index 000000000000..268436d2c1bb
--- /dev/null
+++ b/dev-python/h5py/h5py-3.10.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple Python interface to HDF5 files"
+HOMEPAGE="
+       https://www.h5py.org/
+       https://github.com/h5py/h5py/
+       https://pypi.org/project/h5py/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux ~arm64-macos 
~x64-macos"
+# disable mpi until mpi4py gets python3_8
+#IUSE="examples mpi"
+IUSE="examples"
+
+#RDEPEND="sci-libs/hdf5:=[mpi=,hl(+)]
+DEPEND="
+       >=sci-libs/hdf5-1.10.4:=[hl(+)]
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-python/numpy-1.17.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       <dev-python/cython-3[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.14.5[${PYTHON_USEDEP}]
+       dev-python/pkgconfig[${PYTHON_USEDEP}]
+       test? (
+               dev-python/QtPy[testlib,${PYTHON_USEDEP}]
+       )
+"
+#      mpi? ( virtual/mpi )
+#      mpi? ( dev-python/mpi4py[${PYTHON_USEDEP}] )
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+       dev-python/alabaster
+
+#pkg_setup() {
+#      use mpi && export CC=mpicc
+#}
+
+python_prepare_all() {
+       # avoid pytest-mpi dep, we do not use mpi anyway
+       sed -i -e 's:pytest-mpi::' pytest.ini || die
+       distutils-r1_python_prepare_all
+
+       export H5PY_SETUP_REQUIRES=0
+}
+
+python_test() {
+       cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+       epytest -m "not mpi"
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+       distutils-r1_python_install_all
+}

Reply via email to